Failure to download extra data files - flashplugin-installer

Asked by Rich.b on 2019-08-14

Home built PC Ubuntu 18.04 LTS 480GB SSD 2 x 2TB HDs 8GB Ram.

After update this morning (I have livepatch in operation)

I have had this window come up, saying that Failure to download extra data files.

flashplugin-installer

Tried to Run this action to download again, this did not work, try twice.

Any advice please,

Thank you

Richard

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Rich.b
Solved:
2019-08-14
Last query:
2019-08-14
Last reply:
2019-08-14

In a terminal, run:

sudo dpkg -P flashplugin-installer
sudo apt-get clean
sudo apt-get install flashplugin-installer

What is the output please?

Rich.b (aybi30) said : #2

richard@richard-H81M-S2H:~$ sudo dpkg -P flashplugin-installer
[sudo] password for richard:
(Reading database ... 219130 files and directories currently installed.)
Removing flashplugin-installer (32.0.0.238ubuntu0.18.04.1) ...
Purging configuration files for flashplugin-installer (32.0.0.238ubuntu0.18.04.1) ...
Processing triggers for update-notifier-common (3.192.1.7) ...
richard@richard-H81M-S2H:~$ sudo apt-get clean
richard@richard-H81M-S2H:~$ sudo apt-get install flashplugin-installer
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libllvm7 linux-headers-4.15.0-54 linux-headers-4.15.0-54-generic
  linux-image-4.15.0-54-generic linux-modules-4.15.0-54-generic
  linux-modules-extra-4.15.0-54-generic
Use 'sudo apt autoremove' to remove them.
Suggested packages:
  x-ttcidfont-conf ttf-bitstream-vera | ttf-dejavu ttf-xfree86-nonfree xfs
The following NEW packages will be installed
  flashplugin-installer
0 to upgrade, 1 to newly install, 0 to remove and 16 not to upgrade.
Need to get 6,628 B of archives.
After this operation, 60.4 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu bionic-updates/multiverse amd64 flashplugin-installer amd64 32.0.0.238ubuntu0.18.04.1 [6,628 B]
Fetched 6,628 B in 0s (40.3 kB/s)
Preconfiguring packages ...
Selecting previously unselected package flashplugin-installer.
(Reading database ... 219111 files and directories currently installed.)
Preparing to unpack .../flashplugin-installer_32.0.0.238ubuntu0.18.04.1_amd64.deb ...
Unpacking flashplugin-installer (32.0.0.238ubuntu0.18.04.1) ...
Processing triggers for update-notifier-common (3.192.1.7) ...
flashplugin-installer: processing...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz
Err:1 http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz
  Could not open file /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20190813.1.orig.tar.gz - open (40: Too many levels of symbolic links) [IP: 91.189.91.15 80]
E: Failed to fetch http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz Could not open file /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20190813.1.orig.tar.gz - open (40: Too many levels of symbolic links) [IP: 91.189.91.15 80]
E: Download Failed
Setting up flashplugin-installer (32.0.0.238ubuntu0.18.04.1) ...
richard@richard-H81M-S2H:~$

Rich.b (aybi30) said : #3

The same Window just came up saying that Failure to download extra data files.

flashplugin-installer

Manfred Hampl (m-hampl) said : #4

For diagnostic purposes, what is the output of the command

sudo find -L /var -mindepth 15

Rich.b (aybi30) said : #5

richard@richard-H81M-S2H:~$ sudo find -L /var -mindepth 15
[sudo] password for richard:
find: ‘/var/run/user/1000/gvfs’: Permission denied
richard@richard-H81M-S2H:~$

Manfred Hampl (m-hampl) said : #6

What is the output of the commands

ls -ld /var/
ls -ld /var/lib/
ls -l /var/lib/update-notifier/
ls -l /var/lib/update-notifier/package-data-downloads/
ls -l /var/lib/update-notifier/package-data-downloads/partial/

Rich.b (aybi30) said : #7

richard@richard-H81M-S2H:~$ ls -ld /var/
drwxr-xr-x 14 root root 4096 Feb 15 2017 /var/
richard@richard-H81M-S2H:~$ ls -ld /var/lib/
drwxr-xr-x 73 root root 4096 Aug 14 15:38 /var/lib/
richard@richard-H81M-S2H:~$ ls -l /var/lib/update-notifier/
total 16
-rw-r--r-- 1 root root 0 Aug 14 15:38 dpkg-run-stamp
drwxr-xr-x 3 root root 4096 Aug 14 15:38 package-data-downloads
-rw------- 1 root root 1 Dec 9 2018 tmp.osXXoYePEU
-rw------- 1 root root 61 Aug 14 15:38 updates-available
drwxr-xr-x 2 root root 4096 Aug 14 15:38 user.d
richard@richard-H81M-S2H:~$ ls -l /var/lib/update-notifier/package-data-downloads/
total 4
drwx------ 2 _apt root 4096 Aug 14 15:38 partial
richard@richard-H81M-S2H:~$ ls -l /var/lib/update-notifier/package-data-downloads/partial/
ls: cannot open directory '/var/lib/update-notifier/package-data-downloads/partial/': Permission denied
richard@richard-H81M-S2H:~$

Manfred Hampl (m-hampl) said : #8

Sorry, my fault, I forgot about the access right settings

What is the output of

sudo -U _apt ls -l /var/lib/update-notifier/package-data-downloads/partial/

Rich.b (aybi30) said : #9

richard@richard-H81M-S2H:~$ sudo -U _apt ls -l /var/lib/update-notifier/package-data-downloads/partial/
sudo: the `-U' option may only be used with the `-l' option
usage: sudo -h | -K | -k | -V
usage: sudo -v [-AknS] [-g group] [-h host] [-p prompt] [-u user]
usage: sudo -l [-AknS] [-g group] [-h host] [-p prompt] [-U user] [-u user]
            [command]
usage: sudo [-AbEHknPS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p
            prompt] [-T timeout] [-u user] [VAR=value] [-i|-s] [<command>]
usage: sudo -e [-AknS] [-r role] [-t type] [-C num] [-g group] [-h host] [-p
            prompt] [-T timeout] [-u user] file ...
richard@richard-H81M-S2H:~$

Manfred Hampl (m-hampl) said : #10

Sorry, now a typo error on my side, should have been a small u

sudo -u _apt ls -l /var/lib/update-notifier/package-data-downloads/partial/

Rich.b (aybi30) said : #11

richard@richard-H81M-S2H:~$ sudo -u _apt ls -l /var/lib/update-notifier/package-data-downloads/partial/
[sudo] password for richard:
total 908
-rw-r--r-- 1 _apt root 198384 Aug 15 2002 andale32.exe
-rw-r--r-- 1 _apt root 554208 Aug 15 2002 arial32.exe
-rw-r--r-- 1 _apt root 168176 Aug 15 2002 arialb32.exe
richard@richard-H81M-S2H:~$

Manfred Hampl (m-hampl) said : #12

What output do you receive for the command

sudo -u _apt wget http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz -O /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20190813.1.orig.tar.gz

(this is one very long command)

Rich.b (aybi30) said : #13

richard@richard-H81M-S2H:~$ sudo -u _apt wget http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz -O /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20190813.1.orig.tar.gz
[sudo] password for richard:
--2019-08-14 17:35:15-- http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz
Resolving archive.canonical.com (archive.canonical.com)... 91.189.91.15, 91.189.92.191, 91.189.92.150, ...
Connecting to archive.canonical.com (archive.canonical.com)|91.189.91.15|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 30561289 (29M) [application/x-gzip]
Saving to: ‘/var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20190813.1.orig.tar.gz’

/var/lib/update-not 100%[===================>] 29.15M 429KB/s in 70s

2019-08-14 17:36:25 (428 KB/s) - ‘/var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20190813.1.orig.tar.gz’ saved [30561289/30561289]

richard@richard-H81M-S2H:~$

Manfred Hampl (m-hampl) said : #14

Now try the command

sudo apt install --reinstall flashplugin-installer

and report the results.

Rich.b (aybi30) said : #15

richard@richard-H81M-S2H:~$ sudo apt install --reinstall flashplugin-installer
[sudo] password for richard:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libllvm7 linux-headers-4.15.0-54 linux-headers-4.15.0-54-generic
  linux-image-4.15.0-54-generic linux-modules-4.15.0-54-generic
  linux-modules-extra-4.15.0-54-generic
Use 'sudo apt autoremove' to remove them.
0 to upgrade, 0 to newly install, 1 reinstalled, 0 to remove and 16 not to upgrade.
Need to get 0 B/6,628 B of archives.
After this operation, 0 B of additional disk space will be used.
Preconfiguring packages ...
(Reading database ... 219131 files and directories currently installed.)
Preparing to unpack .../flashplugin-installer_32.0.0.238ubuntu0.18.04.1_amd64.deb ...
Unpacking flashplugin-installer (32.0.0.238ubuntu0.18.04.1) over (32.0.0.238ubuntu0.18.04.1) ...
Processing triggers for update-notifier-common (3.192.1.7) ...
flashplugin-installer: processing...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz
Get:1 http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20190813.1.orig.tar.gz [30.6 MB]
Installing from local file /var/lib/update-notifier/package-data-downloads/partial/adobe-flashplugin_20190813.1.orig.tar.gz
Flash Plugin installed.
Setting up flashplugin-installer (32.0.0.238ubuntu0.18.04.1) ...
richard@richard-H81M-S2H:~$

Rich.b (aybi30) said : #17

looks better - What do you think?

Manfred Hampl (m-hampl) said : #18

This now looks correct.

I have no idea what the reason was for the error message in the previous attempt.

Your output shows that there are 16 updates available for installation.
I suggest that you start update-manager and try installing them.
This gives the possibility to check whether error messages show up again.

Rich.b (aybi30) said : #19

Could explain how - Are you saying just run update-manager?

How do I update these 16 updates?

Rich.b (aybi30) said : #20

Just run Software Updater

Manfred Hampl (m-hampl) said : #21

Just start the program update-manager (either from the favorite bar, or searching for it in the dash, or from a terminal window). This program should then tell you that there are updates available.

Rich.b (aybi30) said : #22

ran

sudo updater-manager

said software on this up to date

Rich.b (aybi30) said : #23

I think that my problem is solved.

Thank you Manfred